代码拉取完成,页面将自动刷新
#!/bin/sh
TESTLIBTOOLIZE="glibtoolize libtoolize"
LIBTOOLIZEFOUND="0"
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
olddir=`pwd`
cd $srcdir
aclocal --version > /dev/null 2> /dev/null || {
echo "error: aclocal not found"
exit 1
}
automake --version > /dev/null 2> /dev/null || {
echo "error: automake not found"
exit 1
}
autopoint --version > /dev/null 2> /dev/null || {
echo "error: autopoint not found"
exit 1
}
gettext --version > /dev/null 2> /dev/null || {
echo "error: gettext not found"
exit 1
}
for i in $TESTLIBTOOLIZE; do
if which $i > /dev/null 2>&1; then
LIBTOOLIZE=$i
LIBTOOLIZEFOUND="1"
break
fi
done
if [ "$LIBTOOLIZEFOUND" = "0" ]; then
echo "$0: need libtoolize tool to build cups-filters" >&2
exit 1
fi
amcheck=`automake --version | grep 'automake (GNU automake) 1.5'`
if test "x$amcheck" = "xautomake (GNU automake) 1.5"; then
echo "warning: you appear to be using automake 1.5"
echo " this version has a bug - GNUmakefile.am dependencies are not generated"
fi
rm -rf autom4te*.cache
autopoint --force || {
echo "error: autopoint failed"
exit 1
}
# autopoint is for libiconv discovery; we don't want the po directory
rm -rf po
$LIBTOOLIZE --force --copy || {
echo "error: libtoolize failed"
exit 1
}
aclocal $ACLOCAL_FLAGS || {
echo "error: aclocal $ACLOCAL_FLAGS failed"
exit 1
}
autoheader || {
echo "error: autoheader failed"
exit 1
}
automake -a -c --gnu --add-missing || {
echo "warning: automake failed"
}
autoconf || {
echo "error: autoconf failed"
exit 1
}
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。